Subject: Re: bug#59970: BUG: install with package.el on emacs-29.0.60 requires manual editing of hyperbole-autoloads.el to make autoloading work

From: [email-masked]
Date: Sun, 11 Dec 2022 19:14:20 +0000

Yes, all entries in hyperbole-autoloads.el become visible after I edited
the hyperbole-autoloads.el as in the formerly attached patch.
However, if you want to add it to a tar distribution that won't be used
by a package manager, I recommend this attached patch.
It expands the 2 characters #§ explicity (probably only understood by
package.el) in the former patch.
I have at least 2 packages on my system (magit and emms) that ship an
autoloads file with this explicit expansion.

However, the entries in kotl-autoloads.el are not yet visible. I think,
that it is possible to tweak the load-path  code in hyperbole-autoloads
in such a way that it also pulls in the kotl sub-directory.

If so, the tar will work without or with package.el.

Best -- Gerard

On 11.12.2022 18:33, Robert Weiner wrote:
> Presently the elpa config does not allow us to ship the autoloads file
> as we would like; instead it is built by elpa rather than being a part
> if the distributions we make.  Maybe it could be added to tar
> distributions that won’t be used by a package manager.
> 
> Did you get it working?
> 
> — Bob
> 
>> On Dec 11, 2022, at 11:51 AM, [email-masked] wrote:
>> 
>> Hello,
>> 
>> I have been very sufficiently impressed by the three Hyperbole 
>> presentations  at Emacsconf to invest some time trying to install 
>> Hyperbole despite a message saying that Emacs failed to load hact 
>> after its installation from the package.el's description of Hyperbole.
>> 
>> I noticed that hyperbole-autoloads.el does not add the Hyperbole 
>> installation directory to load-path, so I edited 
>> hyperbole-autoloads.el as shown in the attached patch.
>> 
>> After checking, I also think that the tar files downloaded from 
>> https://elpa.gnu.org/packages/ do not contain XXX-autoloads.el to let 
>> package.el installation process generate those files, but I am not a 
>> package.el expert.
>> 
>> Best regards -- Gerard
>> <work-around-package-el-hyperbole-autoloads.patch>
>> _______________________________________________
>> Bug-hyperbole mailing list
>> [email-masked]
>> https://lists.gnu.org/mailman/listinfo/bug-hyperbole